Loading...
Searching...
No Matches
_cpl_framedata_ Struct Reference
Auxiliary Frame Data

The public frame data object. More...

`#include <cpl_framedata.h>`

## Public Attributes

cpl_size | max_count
cpl_size | min_count
const char * | tag

## Detailed Description

The public frame data object.

The frame data object stores a frame identifier, the frame tag, and the minimum and maximum number of frames needed.

The data members of this structure are public to allow for a static initialization. Any other access of the public data members should still be done using the member functions.

## Member Data Documentation

## max_count

cpl_size _cpl_framedata_::max_count

The maximum number of frames of the kind given by the tag, the recipe requires in input. A value of `-1` means that the maximum number of frames is unspecified.

## min_count

cpl_size _cpl_framedata_::min_count

The minimum number of frames of the kind given by the tag, the recipe requires in input. A value of `-1` means that the minimum number of frames is unspecified.

## tag

const char* _cpl_framedata_::tag

The frame tag. A unique string identifier for a particular kind of frame.